package com.oo.seex.netlibrary.net.response;

import java.io.Serializable;

/**
 * 返回值接口；
 */

public abstract class IResponse<T> implements Serializable {

    private Page page;

    public abstract boolean isSuccess();

    public abstract int getResultCode();

    public abstract String getResultMssage();

    public abstract T getResultData();

    public Page getPage() {
        return page;
    }

    public void setPage(Page page) {
        this.page = page;
    }
}
